libglom-1.30: Glom::Relationship Class Reference

libglom-1.30 1.30.4

- Main Page
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
Glom::Relationship Class Reference
Inheritance diagram for Glom::Relationship:
[legend]
Collaboration diagram for Glom::Relationship:
[legend]

## Public Member Functions
| Relationship ()
| Relationship (const Relationship& src)
| Relationship (Relationship&& src)=delete
| ~Relationship ()
Relationship& | operator= (const Relationship& src)
Relationship& | operator= (Relationship&& src)=delete
bool | operator== (const Relationship& src) const
Relationship* | clone () const
Glib::ustring | get_from_table () const
Glib::ustring | get_from_field () const
Glib::ustring | get_to_table () const
Glib::ustring | get_to_field () const
void | set_from_table (const Glib::ustring& strVal)
void | set_from_field (const Glib::ustring& strVal)
void | set_to_table (const Glib::ustring& strVal)
void | set_to_field (const Glib::ustring& strVal)
bool | get_auto_create () const
| Whether related records will be created automatically. More...
void | set_auto_create (bool val=true)
bool | get_allow_edit () const
| Whether related records may be edited through this relationship. More...
void | set_allow_edit (bool val=true)
bool | get_has_fields () const
| Whether the relationship specifies from and to fields. More...
bool | get_has_to_table () const
| Whether the relationship specifies a related table. More...
Public Member Functions inherited from Glom::TranslatableItem
| TranslatableItem () noexcept
| TranslatableItem (const TranslatableItem& src) noexcept
| TranslatableItem (TranslatableItem&& src) noexcept
virtual | ~TranslatableItem ()
TranslatableItem& | operator= (const TranslatableItem& src) noexcept
TranslatableItem& | operator= (TranslatableItem&& src) noexcept
bool | operator== (const TranslatableItem& src) const noexcept
bool | operator!= (const TranslatableItem& src) const noexcept
virtual void | set_name (const Glib::ustring& name) noexcept
| Set the non-translated identifier name. More...
virtual Glib::ustring | get_name () const noexcept
| Get the non-translated identifier name. More...
bool | get_name_not_empty () const noexcept
virtual Glib::ustring | get_title_or_name (const Glib::ustring& locale) const noexcept
virtual Glib::ustring | get_title (const Glib::ustring& locale) const noexcept
| Get the title's translation for the specified locale, falling back to the original text if there is no translation. More...
virtual Glib::ustring | get_title_original () const noexcept
| Get the title's original (non-translated, usually English) text. More...
Glib::ustring | get_title_translation (const Glib::ustring& locale, bool fallback=true) const noexcept
| Get the title's translation for the specified locale, optionally falling back to a locale of the same language, and then falling back to the original. More...
void | set_title (const Glib::ustring& title, const Glib::ustring& locale) noexcept
| Set the title's translation for the specified locale. More...
void | set_title_original (const Glib::ustring& title) noexcept
| Set the title's original (non-translated, usually English) text. More...
void | clear_title_in_all_locales () noexcept
| Clear the original title and any translations of the title. More...
bool | get_has_translations () const noexcept
enumTranslatableItemType | get_translatable_item_type () const noexcept
Public Member Functions inherited from Glom::HasTitleSingular
| HasTitleSingular ()
| HasTitleSingular (const HasTitleSingular& src)
| HasTitleSingular (HasTitleSingular&& src)=delete
virtual | ~HasTitleSingular ()
HasTitleSingular& | operator= (const HasTitleSingular& src)
HasTitleSingular& | operator= (HasTitleSingular&& src)=delete
bool | operator== (const HasTitleSingular& src) const
bool | operator!= (const HasTitleSingular& src) const
Glib::ustring | get_title_singular (const Glib::ustring& locale) const
| Get the (translation of the) singular form of the title, in the current locale, if specified. More...
Glib::ustring | get_title_singular_original () const
| Get the title's original (non-translated, usually English) text. More...
Glib::ustring | get_title_singular_with_fallback (const Glib::ustring& locale) const
| Get the (translation of the) singular form of the title, in the current locale, if specified, falling back to the non-singular title, and then falling back to the table name. More...
void | set_title_singular (const Glib::ustring& title, const Glib::ustring& locale)
| Set the singular title's translation for the current locale. More...

## Additional Inherited Members
Public Types inherited from Glom::TranslatableItem
enum | enumTranslatableItemType { enumTranslatableItemType::INVALID, enumTranslatableItemType::FIELD, enumTranslatableItemType::RELATIONSHIP, enumTranslatableItemType::LAYOUT_ITEM, enumTranslatableItemType::CUSTOM_TITLE, enumTranslatableItemType::PRINT_LAYOUT, enumTranslatableItemType::REPORT, enumTranslatableItemType::TABLE, enumTranslatableItemType::BUTTON, enumTranslatableItemType::TEXTOBJECT, enumTranslatableItemType::IMAGEOBJECT, enumTranslatableItemType::CHOICEVALUE, enumTranslatableItemType::DATABASE_TITLE, enumTranslatableItemType::STATIC_TEXT }
typedef std::map< Glib::ustring, Glib::ustring > | type_map_locale_to_translations
Static Public Member Functions inherited from Glom::TranslatableItem
static Glib::ustring | get_translatable_type_name (enumTranslatableItemType item_type) noexcept
static Glib::ustring | get_translatable_type_name_nontranslated (enumTranslatableItemType item_type) noexcept
| The non-translated name is used for the context in gettext .po files. More...
Public Attributes inherited from Glom::HasTitleSingular
std::shared_ptr< TranslatableItem > | m_title_singular
| For instance, "Customer" if the table is titled "Customers". More...
Protected Attributes inherited from Glom::TranslatableItem
enumTranslatableItemType | m_translatable_item_type

## Constructor & Destructor Documentation

Glom::Relationship::Relationship | ( |  | ) |

Glom::Relationship::Relationship | ( | const Relationship& | src | ) |

Glom::Relationship::Relationship | ( | Relationship&& | src | ) |
| delete

Glom::Relationship::~Relationship | ( |  | ) |

## Member Function Documentation

Relationship* Glom::Relationship::clone | ( |  | ) | const

bool Glom::Relationship::get_allow_edit | ( |  | ) | const

Whether related records may be edited through this relationship.

bool Glom::Relationship::get_auto_create | ( |  | ) | const

Whether related records will be created automatically.

Glib::ustring Glom::Relationship::get_from_field | ( |  | ) | const

Glib::ustring Glom::Relationship::get_from_table | ( |  | ) | const

bool Glom::Relationship::get_has_fields | ( |  | ) | const

Whether the relationship specifies from and to fields.

If not, then it specifies all records in the to table.

bool Glom::Relationship::get_has_to_table | ( |  | ) | const

Whether the relationship specifies a related table.

Glib::ustring Glom::Relationship::get_to_field | ( |  | ) | const

Glib::ustring Glom::Relationship::get_to_table | ( |  | ) | const

Relationship& Glom::Relationship::operator= | ( | const Relationship& | src | ) |

Relationship& Glom::Relationship::operator= | ( | Relationship&& | src | ) |
| delete

bool Glom::Relationship::operator== | ( | const Relationship& | src | ) | const

void Glom::Relationship::set_allow_edit | ( | bool | val = `true` | ) |

void Glom::Relationship::set_auto_create | ( | bool | val = `true` | ) |

void Glom::Relationship::set_from_field | ( | const Glib::ustring & | strVal | ) |

void Glom::Relationship::set_from_table | ( | const Glib::ustring & | strVal | ) |

void Glom::Relationship::set_to_field | ( | const Glib::ustring & | strVal | ) |

void Glom::Relationship::set_to_table | ( | const Glib::ustring & | strVal | ) |

The documentation for this class was generated from the following file:

- libglom/data_structure/relationship.h